;; Example for a GUI description to be used with wickel.scm
;;   before loading this file, you should load wickel.scm into your guile-gtk
;;   interpreter.
;; The tooltips/helptexts in this example are not very comprehensive
(program enscript			; This describes 'enscript'
	 (format cram-switches))	; No space between switch and argument
;;
;; Declaration of switches
;;
(switch one-col 1 "1 column")		; A yes/no switch (-1)
(switch two-col 2 "2 columns")
(switch var-col v integer "Number:" "How many columns would you like?")
  ; A switch with an integer argument (-v4)
(group columns				; These switches are mutually exclusive
       one-col (one-col two-col var-col)
       "Number of columns to output")

(group orientation 
       portrait 
       ((switch rotate r "Landscape")
	(switch portrait R "Portrait"))
       "Page orientation")

(switch gaudy G "Print in gaudy mode")
(switch line-printer l "Simulate line printer")

(switch default-headings #f		; Emit no switch for this
	"Use the default headings")	
(switch no-headings B "Omit page headings")
(switch header b string "Define custom heading")
(group headings 
       default-headings (default-headings no-headings header)
       "Page headings")

(switch cut c "Truncate long lines")
(switch max-lines L integer "Maximum number of lines per page")
(switch font f string 
	"Set font" "Choose a font for printing the whole document")
(switch hfont F string "Set font for headings")
(switch print-garbage g "Print garbage")
(switch missing o "List missing characters in a font")
(switch quiet q "Be quiet about most errors")
(switch no-burst h "No burst" "Suppress printing of burst page")

(enum PaperSize string "Letter" "Legal" "A4" "A5")
  ; PaperSize is a new type consisting of those four strings
(switch paper-size s PaperSize		; -s takes one of the PaperSize values
	"Paper size:")
(switch tab-size T integer		; Not used in the GUI right now 
	"Size of a tab")

(group output 
       #f				; No default for this group
       ((switch printer P string "Printer:" "Printer to send output to")
	(switch output-file p file	; -p takes a filename as argument
		"File:" "Send output to postscript file"))
       "Output")

(environ ENSCRIPT string		; Environment variables important
					; for enscript
	 "ENSCRIPT:" "A mysterious variable")
(environ PSTEMPDIR string)
(environ PSLIBDIR string)
(environ PRINTER string)

;;
;; Layout
;;
(layout
 (page "Formatting"
       (vbox
	(hbox columns orientation)
	cut max-lines gaudy headings))
 (page "Printing & Fonts"
       (vbox
	output
	(vbox "Fonts" font hfont)
	paper-size no-burst))
 (page "Errors"
       (vbox
	print-garbage missing quiet))
 (page "Environment"
       (vbox
	ENSCRIPT PSTEMPDIR PSLIBDIR PRINTER)))
