;; Example for a GUI description to be used with wickel.scm
;;   before loading this file, you should load wickel.scm into your guile-gtk
;;   interpreter.
;; The tooltips/helptexts in this example are not very comprehensive
(program ls				; This describes 'ls'
	 (path "/usr/bin/"))		; from /usr/bin

;;
;; Declaration of switches
;;
(group dot-files
       no-dot-files
       ((switch no-dot-files #f "Exclude")
	(switch all a "Include all")
	(switch almost-all A "Include all except for . and .."))
       "Dot files")

(switch use-default #f "Use default")
(group nonprinting
       use-default
       (use-default
	(switch nonprinting-octal b "Print as octal")
	(switch nonprinting-? q "Print as '?'"))
       "Treatment of nonprintable characters")

;; The current framework has no way to express that
;; one of the timestamp switches only makes sense of
;; sort-by-time is given
(group sort-by
       name
       ((switch name #f "Name")
	(switch sort-by-time t "Timestamp"))
       "Sort by")
(group timestamp
       ctime
       ((switch ctime c "last modification")
	(switch atime u "last access"))
       "Use time of")

(group recursion
       use-default
       (use-default
	(switch no-recurse d "Never")
	(switch recurse R "Always"))
       "Recurse into subdirectories")

(switch deref L "Follow symbolic links")

(switch inode i "Show inode numbers")

(group long-group
       short
       ((switch short #f "Short format")
	(switch long l "with uid and gid")
	(switch long-no-group o "with uid")
	(switch group g "with gid")
	(switch numeric-uid n "with numeric uid"))
       "Long output")

(group annotation
       most-files
       (use-default
	(switch slashes p "Only directories")
	(switch most-files F "Most files"))
       "Indicate filetype")

(switch reverse r "Reverse the sort-order")
(switch block-size s "Give size in blocks")

(group output
       sort-in-cols
       ((switch sort-in-cols C "Print sorted along columns")
	(switch sort-in-rows x "Print sorted along rows")
	(switch one-col 1 "Print only one column of output")
	(switch stream m "Stream output format"))
       "Printing")

;;
;; Layout
;;
(layout
 (page "Files to list"
       (vbox dot-files recursion deref))
 (page "Sorting"
       (vbox sort-by timestamp reverse))
 (page "Misc"
       (vbox nonprinting (vbox "Really Misc" inode block-size)))
 (page "Output format"
       (vbox
	(hbox long-group annotation)
	 output)))
	
  